﻿using System;
using System.Configuration;

using Rarous.TexyNet.Parser.Elements;

namespace Rarous.TexyNet.Parser.Formatter {
  public abstract class TexyFormatter<TOutput> : ITexyFormatter<TOutput>{
    private Element _Root;

    public Element Root {
      get {
        return _Root;
      }
      set {
        _Root = value;
      }
    }

    public abstract TOutput Format();

    public abstract ITexySettings Configuration {
      get;
      set;
    }
  }
}