﻿// ====================================================================
//  Texy.net - XML-RPC client for Texy! formatter
//  (c) 2006 Aleš Roubíček - Creative Commons 2.5 License
// --------------------------------------------------------------------
//  version: 1.0 RC2
// ====================================================================

using System;
using System.Configuration;

namespace Rarous.TexyNet.Configuration
{
    /// <summary>
    /// Tag element
    /// </summary>
    public class TagElement : ConfigurationElement
    {
        #region Properties
        /// <summary>
        /// 
        /// </summary>
        [ConfigurationProperty("name", IsRequired = true)]
        public string Name
        {
            get { return this["name"] as String; }
            set { this["name"] = value; }
        }

        /// <summary>
        /// 
        /// </summary>
        /// <returns>String element collection</returns>
        [ConfigurationProperty("attributes")]
        [ConfigurationCollection(typeof(StringElement), AddItemName = "addAttribute")]
        public StringElementCollection Attributes
        {
            get { return this["attributes"] as StringElementCollection; }
            set { this["attributes"] = value; }
        }
        #endregion
    }
}
