﻿using System;
using System.Runtime.Serialization;

namespace Rarous.TexyNet {
  /// <summary>
  /// Výjimka vyhazovaná, pokud není nastavený povider. 
  /// </summary>
  [Serializable]
  public class NoProviderException : Exception {
    /// <summary>
    /// Konstruktor.
    /// </summary>
    public NoProviderException() {
    }

    /// <summary>
    /// Konstruktor.
    /// </summary>
    /// <param name="message">Zpráva výjimky.</param>
    public NoProviderException(string message)
      : base(message) {
    }
    /// <summary>
    /// Konstruktor.
    /// </summary>
    /// <param name="message">Zpráva výjimky.</param>
    /// <param name="inner">Vnořená výjimka.</param>
    public NoProviderException(string message, Exception inner)
      : base(message, inner) {
    }

    /// <summary>
    /// Konstruktor.
    /// </summary>
    /// <param name="info"></param>
    /// <param name="context"></param>
    protected NoProviderException(SerializationInfo info, StreamingContext context)
      : base(info, context) {
    }
  }
}