﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Configuration.Provider;

namespace Rarous.TexyNet.Providers
{
    /// <summary>
    /// Texy provider
    /// </summary>
    /// <returns>Provider base</returns>
    public abstract class TexyProvider : ProviderBase, ITexyProvider
    {
        #region ITexyProvider Members
        /// <summary>
        /// 
        /// </summary>
        public abstract string Version { get; }

        /// <summary>
        /// 
        /// </summary>
        /// <param name="text"></param>
        /// <param name="settings"></param>
        /// <returns></returns>
        public abstract string Process(string text, ITexySettings settings);

        #endregion
    }
}
