﻿// ====================================================================
//  Texy.net - XML-RPC client for Texy! formatter
//  (c) 2006 Aleš Roubíček - Creative Commons 2.5 License
// --------------------------------------------------------------------
//  version: 1.0 RC2
// ====================================================================

using System;
using System.Configuration;

namespace Rarous.TexyNet.Configuration
{
    /// <summary>
    /// 
    /// </summary>
    public class ImageModuleElement : ConfigurationElement
    {
        #region Constructors
        /// <summary>
        /// 
        /// </summary>
        public ImageModuleElement()
        { }
        #endregion

        #region Properties
        /// <summary>
        /// 
        /// </summary>
        [ConfigurationProperty("root", IsRequired = false, DefaultValue = "")]
        public string Root
        {
            get { return this["root"].ToString(); }
            set { this["root"] = value; }
        }

        /// <summary>
        /// 
        /// </summary>
        [ConfigurationProperty("linkedRoot", IsRequired = false, DefaultValue = "")]
        public string LinkedRoot
        {
            get { return this["linkedRoot"].ToString(); }
            set { this["linkedRoot"] = value; }
        }

        /// <summary>
        /// 
        /// </summary>
        [ConfigurationProperty("leftClass", IsRequired = false, DefaultValue = "")]
        public string LeftClass
        {
            get { return this["leftClass"].ToString(); }
            set { this["leftClass"] = value; }
        }

        /// <summary>
        /// 
        /// </summary>
        [ConfigurationProperty("rightClass", IsRequired = false, DefaultValue = "")]
        public string RightClass
        {
            get { return this["rightClass"].ToString(); }
            set { this["rightClass"] = value; }
        }

        /// <summary>
        /// 
        /// </summary>
        [ConfigurationProperty("defaultAlt", IsRequired = false, DefaultValue = "")]
        public string DefaultAlt
        {
            get { return this["defaultAlt"].ToString(); }
            set { this["defaultAlt"] = value; }
        }
        #endregion

        #region Override Methods
        /// <summary>
        /// Nastavuje výchozí hodnoty
        /// </summary>
        protected override void InitializeDefault()
        {
            Root = String.Empty;
            LinkedRoot = String.Empty;
            LeftClass = String.Empty;
            RightClass = String.Empty;
            DefaultAlt = String.Empty;
            base.InitializeDefault();
        }
        #endregion
    }
}
